List files | Moov Documentation
List files
List all the files associated with a particular Moov account.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/files.read scope.
GET
/accounts/{accountID}/files
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/files" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
mc.ListFiles(ctx, accountID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.files.list({
accountID: "d1133bf2-4853-4436-9a03-23739895ab98",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->files->list(
accountID: 'd1133bf2-4853-4436-9a03-23739895ab98'
);
if ($response->fileDetails !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListFilesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListFilesResponse res = sdk.files().list()
.accountID("d1133bf2-4853-4436-9a03-23739895ab98")
.call();
if (res.fileDetails().isPresent()) {
System.out.println(res.fileDetails().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.files.list(account_id="d1133bf2-4853-4436-9a03-23739895ab98")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.files.list(account_id: 'd1133bf2-4853-4436-9a03-23739895ab98')
unless res.file_details.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Files.ListAsync(accountID: "d1133bf2-4853-4436-9a03-23739895ab98");
// handle response
The request completed successfully.
Example
[\
{\
"fileID": "string",\
"fileName": "logo.png",\
"accountID": "string",\
"filePurpose": "representative_verification",\
"fileStatus": "pending",\
"metadata": "{\"error_code\": \"document-name-mismatch\", \"requirement_id\": \"document.individual.verification\", \"representative_id\": \"c63ab175-251d-497e-a267-7346d087e180\", \"comment\": \"testing comment\"}",\
"decisionReason": "not correct file",\
"fileSizeBytes": 0,\
"createdOn": "2019-08-24T14:15:22Z",\
"updatedOn": "2019-08-24T14:15:22Z"\
}\
]
Possible values:
The purpose of the file being uploaded:
business_verificationrepresentative_verificationindividual_verificationmerchant_underwritingaccount_requirementidentity_verification
The file's status:
pendingapprovedrejected